import request from '@/config/axios'

export interface HttpApiVO {
  id: string
  name: string,
  code: string,
  url: string,
  method: string,
  collectType: string,
  param: string,
  descp: string,
  isAuth: number,
  authUrl: string,
  status: number
}

export interface HttpApiPageReqVO extends PageParam {
  name?: string,
  code?: string
}

// 查询HttpApi列表
export const getHttpApiPage = (params: HttpApiPageReqVO) => {
  return request.get({ url: '/data/channel/http/api/page', params })
}

// 查询HttpApi详情
export const getHttpApi = (id: number) => {
  return request.get({ url: `/data/channel/http/api/info/${id}`})
}

// 新增HttpApi
export const createHttpApi = (data: HttpApiVO) => {
  return request.post({ url: '/data/channel/http/api/create', data })
}

// 修改HttpApi
export const updateHttpApi = (data: HttpApiVO) => {
  return request.put({ url: '/data/channel/http/api/update', data })
}

// 删除HttpApi
export const deleteHttpApi = (id: number) => {
  return request.delete({ url: '/data/channel/http/api/delete?id=' + id })
}
